#include <fstream>
#include <cmath>
using namespace std;
int main() 
{
	ifstream f("DE004.inp");
	int a,n,i,k,b;
	f>>a>>b;
	f.close();
	ofstream f1("DE004.out");
	for (n=a;n<=b;n++)
	{
	   {i=n/10;
	   k=n%10;
	   }
    }  
	if (i*k==2*(i+k)&&n>=a&n<=b)
	{
		f1<<n<<' ';
	}
	
	f1.close();
}

